Subject: Re: Running out of inodes on an NFS which stores repos

From: "Kousik Sanagavarapu" <[email-masked]>
Date: Tue, 09 Sep 2025 13:09:53 +0530

On Tue Sep 9, 2025 at 5:59 AM IST, brian m. carlson wrote:
> On 2025-09-08 at 07:05:08, Kousik Sanagavarapu wrote:
>> Yes, I have now set the following config surrounding gc
>>
>> 	[receive]
>> 		autogc = true
>> 	[gc]
>> 		auto = 1
>> 		autopacklimit = 1
>>
>> Curious to know if this will have any noticable performance impact
>> though. As I mentioned in my previous msg, these are small repos but the
>> number of repos being created and the operations performed on them are
>> large - mostly pushes,
>
> The `transfer.unpackLimit` will not have any impact; it's in use at at
> least some major forges.  Packed objects can use things like bitmaps and
> other functionality, which forges like for performance.

Oh, got it.

> The gc settings you have will cause everything to repacked after every
> push, and repacking data can be quite expensive.  At work, we repack
> after about every 40 pushes or so.  You may wish to use a different
> value.

Got it, thanks for the info. I will try with a higher value and see how
it goes.